export const QUESTION_STATUS = [
  { label: '已确认', value: 1 },
  { label: '已忽略', value: 2 },
  { label: '待确认', value: 3 }
]

export const USER_STATUS = [
  { label: '正常', value: 1 },
  { label: '禁用', value: 2 }
]

export const MENU_TYPE = [
  { label: '菜单', value: 0 },
  { label: '按钮', value: 1 }
]

export const MENU_OPEN = [
  { label: '内部', value: '1' },
  { label: '外部', value: '2' }
]

export const MENU_VISIBLE = [
  { label: '可见', value: 0 },
  { label: '不可见', value: 1 }
]

export const MENU_STATUS = [
  { label: '在用', value: 1 },
  { label: '停用', value: 2 }
]

export const ROLE_TYPE = [
  { label: '管理员', value: 1 },
  { label: '飞手', value: 2 }
]

export const EQUIPMENT_TYPE = [
  { label: '高清相机', value: 1 },
  { label: '多光谱相机', value: 2 },
  { label: '空中喊话', value: 3 },
  { label: '大功率照明', value: 4 },
  { label: '双光热成像相机', value: 5 },
  { label: '抛投钩', value: 6 },
  { label: '抛投绳', value: 7 },
  { label: '无人机喷火枪', value: 8 },
  { label: '灭火弹抛投器', value: 9 },
  { label: '气体采集盒', value: 10 },
  { label: '无人机取水器', value: 11 },
  { label: '其他', value: 12 }
]

export const POWER_TYPE = [
  { label: '电动', value: 1 },
  { label: '油动', value: 2 },
  { label: '混合', value: 3 }
]

export const FILE_TYPE = [
  { label: 'M300', value: 1 },
  { label: '御2', value: 2 },
  { label: '御3E', value: 3 }
]

/**
 * 状态
 */
export const TASK_STATUS = [
  {
    label: '任务待分配',
    value: 5
  },
  {
    label: '任务已分配',
    value: 10
  },
  {
    label: '飞手已接单',
    value: 15
  },
  {
    label: '任务飞行中',
    value: 20
  },
  {
    label: '任务已完成',
    value: 25
  }
]

// 拍摄方式
export const PHOTOGRAPHY_WAY = [
  {
    label: '普通巡检',
    value: 1
  },
  {
    label: '正射影像',
    value: 2
  },
  {
    label: '倾斜摄影',
    value: 3
  }
]
