import { reactive } from 'vue'

export const form = reactive({
  BoxForm: {
    boxSn: null,
    boxName: null,
    streamCode: null
  },
  BoxRules: {
    boxSn: [{ required: true, message: '请输入设备编号', trigger: 'blur' }],
    boxName: [{ required: true, message: '请输入盒子名称', type: 'string', trigger: 'blur' }],
    streamCode: [{ required: true, message: '请输入通道编码', trigger: 'blur' }]
  },
  formItem: [
    { type: 'input', key: 'boxSn', label: '设备编号', props: { maxlength: '20', placeholder: '请输入设备编号', clearable: true }},
    { type: 'input', key: 'boxName', label: '盒子名称', props: { maxlength: '20', placeholder: '请输入盒子名称', clearable: true }},
    { type: 'input', key: 'streamCode', label: '通道编码', props: { maxlength: '20', placeholder: '请输入通道编码', clearable: true }}
  ]
})
