import { defAxios as request } from '@/utils/http'

/**
 * 任务总数数量统计
 * @returns
 */
export const statisticsTask = () => request({
  url: '/index/statisticsTask',
  method: 'GET'
})

/**
 * 任务总数 趋势
 * @returns
 */
export const pilotTaskDate = () => request({
  url: '/index/pilotTaskDate',
  method: 'GET'
})

/**
 * 飞手飞行时长
 * @returns
 */
export const pilotTaskTimeCount = () => request({
  url: '/index/pilotTaskTimeCount',
  method: 'GET'
})

/**
 * 任务状态
 * @returns
 */
export const taskStatusStatistics = () => request({
  url: '/index/taskStatusStatistics',
  method: 'GET'
})

/**
 * 飞手飞行任务数量
 * @returns
 */
export const pilotTaskStatistics = () => request({
  url: '/index/pilotTaskStatistics',
  method: 'GET'
})

/**
 * 平台任务数量
 * @returns
 */
export const platformTasks = () => request({
  url: '/index/platformTasks',
  method: 'GET'
})

/**
 * 最新任务列表
 * @returns
 */
export const newestTask = () => request({
  url: '/index/newestTask',
  method: 'GET'
})

/**
 * 记录登录时间
 * @returns
 */
export const updateLoginTime = () => request({
  url: '/index/updateLoginTime',
  method: 'GET'
})
