import { defAxios as request } from '@/utils/http'

/**
 * 无人机列表
 * @returns
 */
export const getEquipment = () => request({
  url: '/equipment/getList',
  method: 'GET'
})

/**
 * 挂载设备列表
 * @returns
 */
export const getEquipmentMount = () => request({
  url: '/equipmentMount/getList',
  method: 'GET'
})

/**
 * 挂载盒子
 * @returns
 */
export const getCloud = () => request({
  url: '/cloudBox/getList',
  method: 'GET'
})
